Subject: [proto-team] Re: Russ's Discuss on the doc shepherding draft

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Nov 2006 09:08:07 +0100

There is a feeling that we should convert the I-D checklist
into an ION shortly - but that doesn't affect the principle,
although it would change the exact URL.

In fact I would rather the template to be in Additional IESG
Information than in the IETF Chair material. That's where IONs will
live anyway, and we will have versioning support.

Try
http://www.ietf.org/IESG/content/Doc-Writeup.txt
for now. Is that the right material? (txt is so much easier to maintain
than html.)

BTW, shouldn't the Personnel section include:

Are there existing IANA Experts, or do they need to be appointed?

     Brian

Allison Mankin wrote:
> Russ,
> 
> Thanks for the good suggestion of where to put the template.
> When we put up the template (shortly, I hope), I want to
> emulate ID-checklist and include the contact info of
> the maintainer(s) and some view of how it is updated.
> 
> How does the following language strike you for clearing
> your DISCUSS?  (The URL is a parallel to ID-checklist).
> 
> Section 3.1
> 
> OLD:
> There are two parts to this task.  First, the Document Shepherd 
> answers questions (1.a) to (1.i) below to give the Responsible Area
> Director insight into the working group process that applied to
> this document.
> 
> NEW:
> There are two parts to this task, the "Document Shepherd Write-Up" 
> and the "Document Announcement Write-Up".  The Document Shepherd 
> Write-Up consists of a template of questions to give the Responsible
> Area Director insight into the working group process that applied 
> to the document.  The template is maintained on the web, in similar 
> fashion to the ID-checklist called out in (1.g) below.  The template
> at the time of this writing is published here.  The current Write-Up
> template is maintained by the IETF at http://www.ietf.org/Doc-Writeup.html
> (and a link to it is provided among IETF WG Chair resources).
> 
> 
> Allison
> 
> 
>>Date:    Fri, 17 Nov 2006 20:09:29 EST
>>To:      [email-masked],[email-masked]
>>cc:      [email-masked],[email-masked]
>>From:    Russ Housley <[email-masked]>
>>Subject: Re: Russ's Discuss on the doc shepherding draft
>>
>>
>>Allison:
>>
>>I do not want you to add any words to the template now.  We have been 
>>using the current template very effectively.  I just expect that it 
>>will need to be changed at some point, for RFC 4107 or for something 
>>else.  The real point of my DISCUSS is that I do not want to change 
>>an RFC in order to change the template.
>>
>>I think the same directory where we have ID-Checklist makes sense.
>>
>>Russ
>>
>>At 06:02 PM 11/17/2006, Allison Mankin wrote:
>>
>>
>>>Russ,
>>>
>>>I think it makes sense to add those words to the Write-Up about checking
>>>that RFC 4107 concerns are handled, because we have asked this to be
>>>an explicit matter in protocols.  I don't think will always be
>>>a question in the Write-Up from similar BCPs, even though that BCP might
>>>incur review requirements:  but maybe I'm wrong.  Maybe on the web we'll
>>>need a Write-Up with pull down menus (answer all the questions that
>>>apply :).
>>>
>>>"The initial Document Write-Up is included here, but changes are
>>>expected over time"
>>>
>>>We intended to do this with a web-based one.  I've been the block
>>>for launching the web content, I'm afraid, though I also want input
>>>for the right place for the page, that's one of my issues.
>>>
>>>Where will it be intuitive to look for the updated Write-Up, if you're
>>>a shepherd?  What do you think?
>>>
>>>Allison
>>
> 

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 22 Nov 2006 09:45:20 +0100

> Why not adopt some short stable URL like http://www.ietf.org/id-checklist
> and set up a redirect?

We will certainly use a redirect.

     Brian